### Name: precomputedkernel
### Title: Kernel with precomputed values.
### Aliases: precomputedkernel precomputeddummy
###   stringkernelPrecomputed-class
###   kernelMatrix,stringkernelPrecomputed-method
### Keywords: misc

### ** Examples


## No test: 
library(tm)

## This is necessary to make tm's corpora usable with 
## stringkernels' S4 classes.
setOldClass(c("VCorpus", "Corpus"))
setIs("Corpus", "list")

data(crude)

wdk = worddot(type="spectrum", length=2)
kernelMatrix(wdk, crude[1:3], crude[17:20])

pre = precomputedkernel(wdk, crude, use_dummy=TRUE)
dummy = precomputeddummy(crude)

kernelMatrix(pre, dummy[1:3], dummy[17:20])

class = factor(rep(c(1,-1),10))
model = ksvm(dummy[1:10], class[1:10], kernel=pre)

predict(model, dummy[11:20])
## End(No test)



